Bug 1283408

Summary: [RFE] Support for AWS4 auth
Product: Red Hat Ceph Storage Reporter: Neil Levine <nlevine>
Component: RGWAssignee: Yehuda Sadeh <yehuda>
Status: CLOSED ERRATA QA Contact: shilpa <smanjara>
Severity: unspecified Docs Contact: Bara Ancincova <bancinco>
Priority: unspecified    
Version: 1.3.1CC: asriram, cbodley, ceph-eng-bugs, hnallurv, icolle, kbader, kdreyer, mbenjamin, owasserm, sweil, yehuda, yweinste
Target Milestone: rcKeywords: FutureFeature, Reopened
Target Release: 2.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
.The AWS4 authentication is now supported Red Hat Ceph Storage now supports the new Amazon Web Services (AWS) Signature Version 4 authentication.
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-08-23 19:28:44 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1322504    

Description Neil Levine 2015-11-18 21:31:41 UTC
To be compatible with the latest AWS toolkits and libraries, we need to support the new AWS auth semantics.

Testing is covered by the existing S3 test suite.

Comment 6 Harish NV Rao 2016-06-30 15:55:30 UTC
Anjana, this is a RFE bug for supporting AWS4 authentication. QE will move it to verified state once the testing is completed. I am moving this back to ON_QA.

Comment 9 shilpa 2016-08-02 08:58:33 UTC
The feature has been verified using ruby aws-sdk. Moving to verified.

Comment 11 errata-xmlrpc 2016-08-23 19:28:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1755